OLE Automation Error Message 1

Not implemented yet

This method or property has not been implemented yet.


OLE Automation Error Message 130

String too long

The string is too long.


OLE Automation Error Message 52

Invalid face vertex index

Invalid sequence of data.


OLE Automation Error Message 210

Out of memory

The system is out of memory.


OLE Automation Error Message 196

Invalid linetype name

The linetype name is invalid.


OLE Automation Error Message 210

Invalid argument passed in the function

The arguments passed to the function are invalid. Please recheck the arguments and their values and try again.


OLE Automation Error Message 60

DXB partially read

The DXB information was partially read.


OLE Automation Error Message 64

No input file

There is no input file.


OLE Automation Error Message 37

End of object

This is the end of the object information.


OLE Automation Error Message 92

Close was notifying

A notification operation was in process.


OLE Automation Error Message 70

Too many files open

Exceeded maximum number of open files allowed.


OLE Automation Error Message 13

Handle in use

This handle already exists and is in use.


OLE Automation Error Message 42

Object is not open for write

The object is not open for write, it cannot be modified.


OLE Automation Error Message 114

Object not in database

The object is not in the database.


OLE Automation Error Message 108

Not in block

The object is not in the block.


OLE Automation Error Message 156

Pager error

Pager cannot write to page file.


OLE Automation Error Message 203

Cannot open file

Failed to open the specified file.


OLE Automation Error Message 89

No symbol table

The symbol table is missing.


OLE Automation Error Message 165

Not top transaction


OLE Automation Error Message 85

Multiple readers exist

The object has multiple readers existing simultaneously.


OLE Automation Error Message 80

Subentities still open

There are open subentities for this object. Close the subentities and retry the operation.


OLE Automation Error Message 128

Nonplanar entity

The entity is not in a plane.


OLE Automation Error Message 70

File internal error

Internal error in file.


OLE Automation Error Message 211

AutoCAD main window is invisible

AutoCAD main window is invisible. To turn on the window, set the visible property of the application object to acTrue.


OLE Automation Error Message 211

Toolbar Exists In Group

A toolbar with the same name exists in the menu group.


OLE Automation Error Message 115

Not the current database

There is a reference to a database that is not the current database.


OLE Automation Error Message 83

Object is XRef Object

The object is an xref object.


OLE Automation Error Message 32

Invalid database

The database is invalid in the current context.


OLE Automation Error Message 16a

Container not empty

The container object is not empty. It must be empty for this operation.


OLE Automation Error Message 41

Object is not open for read

The object is not open for read.


OLE Automation Error Message 88

Self-reference

There is a circular reference.


OLE Automation Error Message 211

Cannot Add Toolbar Button

Error occurred when adding a toolbar button. This is usually due to improper input parameters.


OLE Automation Error Message 175

Start point must differ from vertex point

Start and vertex points are identical. The start point must differ from the vertex point.


OLE Automation Error Message 208

Cannot append group

Failed to append the entity to the group.


OLE Automation Error Message 28

Invalid ADSRX name

The ADSRX name is invalid.


OLE Automation Error Message 197

Invalid color name

The color name is invalid.


OLE Automation Error Message 110

Owner not open for read

The owner is not open for read.


OLE Automation Error Message 180

Block {name} not found

This block name does not exist in the drawing.


OLE Automation Error Message 59

DXF partially read

The DXF information was read partially.


OLE Automation Error Message 53

Invalid mesh vertex index

Invalid sequence of data.


OLE Automation Error Message 125

Point not on entity

The point is not on the entity.


OLE Automation Error Message 19

Key not found

The search key does not exist.


OLE Automation Error Message 170

Not in group

This object is not in the group.


OLE Automation Error Message 105

Record not in table

This record is not in the symbol table.


OLE Automation Error Message 77

Object was open for notify

The object was open for a notification operation.


OLE Automation Error Message 178

Permission denied for file: {name: Locked by {name} at {time} on {date}

The named file is currently locked and in use by another user. Please retry later.


OLE Automation Error Message 117

Cannot change active viewport

Unable to change active viewport.


OLE Automation Error Message 211

User Input is Null

The user has pressed the return key without entering any data or has pressed the cancel key.


OLE Automation Error Message 210

Failed to create a SafeArray of specified input type

Failed to create a safe array of the specified input type.


OLE Automation Error Message 210

Incorrect number of elements in SafeArray

The number of elements in the safe array are incorrect.


OLE Automation Error Message 211

Labeled Item Exists In Menu

An item with the same label exists in the popup menu.


OLE Automation Error Message 84

Not an entity

The object is not an entity.


OLE Automation Error Message 51

Vertex definition after face definition

Invalid sequence of data.


OLE Automation Error Message 207

Basepoint required

A basepoint must be specified for this property or method.


OLE Automation Error Message 210

CoCreateInstance fails


OLE Automation Error Message 145

Drawing needs recovery

Drawing is damaged and needs recovery.


OLE Automation Error Message 40

Object is being modified

Object is in a write mode.


OLE Automation Error Message 210

Calling a method on an interface failed


OLE Automation Error Message 29

Invalid symbol table name

The symbol table name is invalid. Check the list of valid symbol table names.


OLE Automation Error Message 202

Mandatory field missing

A required field is missing.


OLE Automation Error Message 81

At maximum readers

You have exceeded the maximum number of users.


OLE Automation Error Message 44

Invalid block name

The block name is invalid.


OLE Automation Error Message 24

Out of disk space

The system is out of disk space. Please free up some disk space by compressing or deleting unnecessary files and try the operation again.


OLE Automation Error Message 144

User break

User interrupted the operation.


OLE Automation Error Message 211

Object referenced by other object(s)

This object is being referenced by other database object(s).


OLE Automation Error Message 21

Invalid index

The index is invalid.


OLE Automation Error Message 155

Proper class separator expected

Data is not separated by proper subclasses.


OLE Automation Error Message 134

Not enough linetype elements

Not enough linetype elements present to define the linetype completely.


OLE Automation Error Message 162

Owner not set

The owner of this object is not set.


OLE Automation Error Message 56

Cannot nest block definitions

Block definitions cannot be nested.


OLE Automation Error Message 211

No Named Toolbar in Group

There is no toolbar with the specified name in the menu group.


OLE Automation Error Message 111

Owner not open for write

The owner is not open for write.


OLE Automation Error Message 157

Out of pager memory

Out of pager memory.


OLE Automation Error Message 106

Iterator done

The iterator has finished.


OLE Automation Error Message 127

Invalid Offset

The offset is invalid.


OLE Automation Error Message 100

Unrecoverable errors

Unrecoverable errors.


OLE Automation Error Message 189

Cannot find last entity

Unable to locate the last entity in the database.


OLE Automation Error Message 132

Undefined linetype

The linetype is not defined.


OLE Automation Error Message 95

Close failed, object damaged

The close operation failed and the object was damaged.


OLE Automation Error Message 90

No symbol table record

The symbol table record is missing.


OLE Automation Error Message 5

Ambiguous output

The output is ambiguous.


OLE Automation Error Message 210

Incorrect SafeArray dimension

The dimension of the safe array is incorrect.


OLE Automation Error Message 22

Duplicate index

There is a duplicate index present.


OLE Automation Error Message 211

Cannot Insert the Menu

The popup menu cannot be inserted into the AutoCAD menu bar. Verify that the menu you are attempting to add does not already exist in the AutoCAD menu bar.


OLE Automation Error Message 200

Invalid block name

The block name is invalid.


OLE Automation Error Message 139

Invalid paperspace view

The paper space view is invalid.


OLE Automation Error Message 11

Broken handle

This handle already exists but is not used in the database.


OLE Automation Error Message 109

Owner not in database

The owner is not present in the database.


OLE Automation Error Message 12

Unknown handle

This handle is an invalid handle.


OLE Automation Error Message 102

XData size exceeded

The xdata size for this object has been exceeded.


OLE Automation Error Message 46

Duplicate DXF field

There is a duplicate DXF field.


OLE Automation Error Message 25

Deleted entry

This entry has already been deleted.


OLE Automation Error Message 3

Invalid input

An invalid input was provided. Please recheck the input and try again.


OLE Automation Error Message 137

Ignored linetype redefinition

Linetype redefinition ignored.


OLE Automation Error Message 198

Invalid text style name

The text style name is invalid.


OLE Automation Error Message 182

Error writing or closing file

An error occurred while writing the file or closing it.


OLE Automation Error Message 96

Cannot be erased by caller

The object cannot be erased by the caller.


OLE Automation Error Message 154

Invalid visibility value

The visibility value is incorrect. The correct values are acTrue or acFalse.


OLE Automation Error Message 190

Illegal deletion of viewport entity

Failed to delete the viewport entity.


OLE Automation Error Message 163

Invalid subentity type

The subentity type is incorrect.


OLE Automation Error Message 8

Invalid open state

The object is in an improper mode for this operation.


OLE Automation Error Message 211

Invalid Menu File Type

The input file is not a correct AutoCAD menu file. The correct AutoCAD menu file is in mnc, or mns, or mnu file extension (*.mnc or *.mns or *.mnu).


OLE Automation Error Message 177

Drawing file is write protected

The drawing file is write-protected and cannot be written to. Change the properties of the file to enable writing to the file, if possible.


OLE Automation Error Message 91

Not open for write

The object was not open for write.


OLE Automation Error Message 149

Invalid layer name

The layer name is invalid.


OLE Automation Error Message 69

File system error

Error in file system.


OLE Automation Error Message 171

Invalid REFIID

The reference ID is invalid.


OLE Automation Error Message 211

Not a Flyout Button

The toolbar button is not a flyout button. The invoked property is applicable only to a flyout button.


OLE Automation Error Message 205

Not enough memory to load application

There is insufficient memory to load the application. Free up more memory and try again.


OLE Automation Error Message 142

Invalid dimstyle

The dimstyle is invalid.


OLE Automation Error Message 23

Exists in database

This item is already present in the database.


OLE Automation Error Message 211

Menu Exists In Group

A popup menu with the same label already exists in the menu group.


OLE Automation Error Message 50

Filer error

Error in AutoCAD filer operation.


OLE Automation Error Message 195

Invalid layer name

The layer name is invalid.


OLE Automation Error Message 179

Drawing already exists, rename file

A drawing name with the same name already exists. Use a different name or rename the existing drawing file.


OLE Automation Error Message 153

Invalid linetype scale

The scale factor for linetype is invalid.


OLE Automation Error Message 210

QueryInterface fails


OLE Automation Error Message 206

Invalid object in function

An invalid object has been used in this function.


OLE Automation Error Message 211

AutoCAD unable to service automation request

AutoCAD is busy and is unable to service automation request. Allow some time for AutoCAD to finish the operation and then retry.


OLE Automation Error Message 66

DXB read aborted

The DXB read operation was aborted.


OLE Automation Error Message 113

Cannot scale nonuniformly

Cannot scale the block nonuniformly.


OLE Automation Error Message 186

Invalid AutoSave file name, default to "auto.sv$”

The given AutoSave file name is invalid. The AutoCAD default name for the AutoSave file will be used.


OLE Automation Error Message 65

Drawing needs full save

The drawing needs a full save operation.


OLE Automation Error Message 210

Too few elements in SafeArray or total number of elements is not a multiple of three

SafeArray for points, vectors, and so on, require the number of elements to be a multiple of three.


OLE Automation Error Message 168

Not newly created

This is not a newly created object.


OLE Automation Error Message 57

Drawing recovered OK

The drawing was successfully recovered.


OLE Automation Error Message 183

Cannot rename file to {name}

The system was unable to rename the file to the given name.


OLE Automation Error Message 120

General modeling failure

General modeling failure occurred in AutoCAD.


OLE Automation Error Message 147

Invalid fix


OLE Automation Error Message 6

Out of memory

The system is out of memory. Please free up memory by closing some applications and try again.


OLE Automation Error Message 158

Pager write error

Error in writing to the pager file.


OLE Automation Error Message 161

Invalid owner object

The owner object for this object is invalid.


OLE Automation Error Message 67

File locked by AutoCAD

The file is currently locked by AutoCAD.


OLE Automation Error Message 210

Error calling SafeArrayPutElement


OLE Automation Error Message 47

Invalid DXF code

The DXF code is invalid.


OLE Automation Error Message 71

Object was erased

The object was erased.


OLE Automation Error Message 82

Currently write-protected

The object is write-protected.


OLE Automation Error Message 112

Explode before transform


OLE Automation Error Message 55

Add block to database first

The block has not yet been added to the database. First, add it to the database then try the operation again.


OLE Automation Error Message 211

Cannot Add Button Separator

Error occurred when adding a toolbar button separator. This is usually because of improper input parameters, or because you tried to add two button separators next to one another.


OLE Automation Error Message 146

Delete entity


OLE Automation Error Message 43

Invalid class

Invalid class type.


OLE Automation Error Message 176

Reference line cannot be parallel to Z axis of UCS


OLE Automation Error Message 48

Invalid result buffer

The results buffer is invalid.


OLE Automation Error Message 211

Menu Not Found In Group

The popup menu was not found in the given menu group.


OLE Automation Error Message 93

Close modify aborted

The modification was aborted.


OLE Automation Error Message 73

Object was open for read

The object was in a read mode.


OLE Automation Error Message 210

Error in converting a SafeArray point to a double array point

An error occurred when converting a safe array point to a double array point.


OLE Automation Error Message 34

Invalid drawing version

The drawing version is incompatible with this operation.


OLE Automation Error Message 35

Anonymous entry

Current entry is an anonymous entry.


OLE Automation Error Message 107

Null iterator

The iterator is NULL.


OLE Automation Error Message 151

Invalid color index

The color index is invalid.


OLE Automation Error Message 211

Cannot Set Floating Rows

Cannot set floating rows. This is usually because the toolbar is docked. Float the toolbar and try the operation again.


OLE Automation Error Message 210

Error in calling SafeArrayGetElement


OLE Automation Error Message 97

Insert after current object

Error in inserting object.


OLE Automation Error Message 31

Invalid object type

The type of the object is invalid.


OLE Automation Error Message 211

Tagged Item Exists In Menu

A popup menu with the same tag exists in the menu group.


OLE Automation Error Message 49

Invalid DXF sequence

Invalid sequence of data.


OLE Automation Error Message 209

Selection set not found

The specified selection set was not found.


OLE Automation Error Message 2

Not applicable

The method or property is not applicable to the object. To see what properties or methods apply to a particular object, use the Object Browser.


OLE Automation Error Message 159

Object was not forwarding

Object ID is not forwarding.


OLE Automation Error Message 118

Not in paperspace

The object is not in paper space.


OLE Automation Error Message 148

FSM error


OLE Automation Error Message 211

Aliased Toolbar Exists In Group

A toolbar with the same alias exists in the menu group.


OLE Automation Error Message 124

Invalid axis

The axis is invalid.


OLE Automation Error Message 60

DXF read aborted

The DXF read operation was aborted.


OLE Automation Error Message 211

File Not Found

The input file is not found in the AutoCAD search path. Please check the file name or verify the AutoCAD search path.


OLE Automation Error Message 210

Error in converting a double array point to SafeArray point

An error occurred when converting a double array point to a safe array point.


OLE Automation Error Message 208

Invalid list of points

The given list of points is invalid.


OLE Automation Error Message 27

Invalid extents

The extents of the entity are invalid.


OLE Automation Error Message 16

Null block name

The block name is NULL.


OLE Automation Error Message 39

Object Information is being read

Object is in a read mode.


OLE Automation Error Message 17

Null entity pointer

The entity pointer is NULL.


OLE Automation Error Message 101

No database

There is no matching database.


OLE Automation Error Message 211

Viewport Not Active

The viewport is not active. First make the viewport the active viewport for the drawing, then retry this operation.


OLE Automation Error Message 152

Invalid linetype name

The linetype name is invalid.


OLE Automation Error Message 133

Invalid textstyle

The textstyle is invalid.


OLE Automation Error Message 63

Drawing object not read

Drawing object was not read correctly.


OLE Automation Error Message 166

Transaction open while command ended


OLE Automation Error Message 191

Invalid arguments in coordinate transform request

The arguments for the coordinate transformation request are invalid. Recheck the arguments and try again.


OLE Automation Error Message 143

Invalid layer

The layer is invalid.


OLE Automation Error Message 9

Handle exists

This handle already exists in the database.


OLE Automation Error Message 4

Ambiguous input

The input is ambiguous.


OLE Automation Error Message 78

On locked layer

The object is on a locked layer.


OLE Automation Error Message 201

Invalid normal vector

The normal vector is invalid.


OLE Automation Error Message 103

Registered application ID not found

No such application is registered with AutoCAD.


OLE Automation Error Message 188

Invalid entity name

The entity name is invalid.


OLE Automation Error Message 167

Committing

The changes to the object are being saved.


OLE Automation Error Message 122

Non coplanar geometry

The geometry is noncoplanar.


OLE Automation Error Message 141

No internal space

Out of disk space.


OLE Automation Error Message 172

Invalid normal

The normal is invalid.


OLE Automation Error Message 94

Close partial failure

There was a partial failure on closing.


OLE Automation Error Message 211

Aliased Menu Exists In Group

A popup menu with the same alias exists in the menu group.


OLE Automation Error Message 211

Cannot Remove the Menu

The popup menu cannot be removed from the AutoCAD menu bar. Verify that the menu you are attempting to remove actually exists in the menu bar.


OLE Automation Error Message 62

Drawing Sentinel does not match

Sentinel verification failed.


OLE Automation Error Message 38

End of file

The end of the file has been reached.


OLE Automation Error Message 211

UCS X axis and Y axis are not perpendicular

The UCS X axis and Y axis must be perpendicular.


OLE Automation Error Message 164

No active transactions

There are no active transactions.


OLE Automation Error Message 15

Null Object ID

The object ID is NULL.


OLE Automation Error Message 74

Object was open for write

The object was in a write mode.


OLE Automation Error Message 210

Application is not visible

The application is not visible. To make it visible, set the visible property to acTrue.


OLE Automation Error Message 138

Invalid UCS

The UCS is invalid.


OLE Automation Error Message 119

Command was in progress

An AutoCAD command was in progress.


OLE Automation Error Message 173

Invalid style

The style is invalid.


OLE Automation Error Message 18

Illegal entity type

The entity type is not a valid entity type.


OLE Automation Error Message 211

Cannot Set Help String

Fails to set the help string to the object. This is an AutoCAD internal error. Please submit your code to the AutoCAD bug tracking team so that this issue can be resolved.


OLE Automation Error Message 210

AcRxClassName entry is not in the system registry

The AcRxClassName is not present in the system registry.


OLE Automation Error Message 20

Duplicate key

This key already exists.


OLE Automation Error Message 211

Cannot create default wrapper for AcDbAttribute object

The system failed to create the Attribute object.


OLE Automation Error Message 194

Zero value not allowed

The value for this parameter cannot be zero.


OLE Automation Error Message 169

Exists in group

This object is already in the group.


OLE Automation Error Message 33

Object to be deleted

This object is marked to be deleted.


OLE Automation Error Message 75

Object was open for undo

The object was open for an undo operation.


OLE Automation Error Message 104

Repeat entity


OLE Automation Error Message 76

Object was notifying

The object was notifying.


OLE Automation Error Message 79

Open through owner

Invalid opening sequence.


OLE Automation Error Message 185

Invalid or read-only directory specified for AutoSave

The directory for AutoSave is a read-only directory. Change the properties of this directory to read-write.


OLE Automation Error Message 211

Cannot Set Separator Name

Cannot set toolbar button separator name. A separator cannot have a name.


OLE Automation Error Message 211

Region is not on the current UCS plane

Region is not on the current UCS plane. Some operations may fail.


OLE Automation Error Message 121

Out of range

The values are out of range.


OLE Automation Error Message 30

Invalid key

The search key name is invalid.


OLE Automation Error Message 211

User input is a keyword

The user input is a keyword.


OLE Automation Error Message 36

Illegal replacement

This replacement is illegal and is not allowed.


OLE Automation Error Message 211

Not a Button

The toolbar item is not a button. The invoked property is applicable only to a button.


OLE Automation Error Message 10

Null handle

This handle is NULL.


OLE Automation Error Message 123

Degenerate geometry

The geometry is degenerating.


OLE Automation Error Message 87

XRef dependent

Xref dependent.


OLE Automation Error Message 61

Drawing Cyclic Redundancy Check does not match

The Drawing Cyclic Redundancy Check has failed.


OLE Automation Error Message 181

Cannot SAVE external {name} block


OLE Automation Error Message 192

Invalid use of deleted entity

The deleted entity can not be used in this manner.


OLE Automation Error Message 129

Cannot explode entity

Unable to explode the entity.


OLE Automation Error Message 135

Too many linetype elements

More linetype elements are present than are needed to define the linetype.


OLE Automation Error Message 193

Cannot set read-only variable

The variable is read-only and cannot be set.


OLE Automation Error Message 45

No DXF field

There is a missing DXF field.


OLE Automation Error Message 131

Invalid symbol table flag

The symbol table flag is invalid.


OLE Automation Error Message 174

Cannot restore from ACIS file

Unable to restore the object from ACIS data.


OLE Automation Error Message 14

Null object pointer

The object pointer is NULL.


OLE Automation Error Message 199

Invalid shape name

The shape name is invalid.


OLE Automation Error Message 187

Invalid selection set name

The selection set name is invalid.


OLE Automation Error Message 72

Object permanently erased

The object was permanently erased.


OLE Automation Error Message 26

Negative value not allowed

A negative input is not allowed. Retry the operation with a positive value.


OLE Automation Error Message 211

No Named Menu Group

There is no menu group with the specified name.


OLE Automation Error Message 98

Fixed all errors

Fixed all errors.


OLE Automation Error Message 126

Singular point

There is a singular point.


OLE Automation Error Message 58

Drawing not recoverable

The drawing was not recoverable.


OLE Automation Error Message 86

Duplicate record name

There is a duplicate symbol table record name.


OLE Automation Error Message 150

No layer group code

The layer group code is missing.


OLE Automation Error Message 184

Out of disk space

Insufficient disk space.


OLE Automation Error Message 116

Entity not allowed

The object cannot be an entity.


OLE Automation Error Message 140

Input data unread

The input data was not fully read.


OLE Automation Error Message 210

Fail to cast an AcDbObject derived pointer to another AcDbObject derived pointer


OLE Automation Error Message 68

File access error

Could not access the file.


OLE Automation Error Message 136

Too many items

There are too many items in the collection.


OLE Automation Error Message 99

Errors left unfixed

Left errors unfixed.


OLE Automation Error Message 54

Other objects busy

The other object is currently busy.


OLE Automation Error Message 210

Automation protocol extension dll oleaprot.arx is not loaded

The file oleaprot.arx is required for the ActiveX Automation feature.


OLE Automation Error Message 204

Application exists

The application is already loaded. Use GetObject to connect to it.


OLE Automation Error Message 7

Buffer too small

There is insufficient space in the memory buffer for this operation.


OLE Automation Error Message 160

Invalid ID map

Invalid ID map.